Bug 157746 - Realtek High Definition Audio Soundcard not detected at all
Realtek High Definition Audio Soundcard not detected at all
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-14 10:11 EDT by Sam
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 06:36:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam 2005-05-14 10:11:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050417 Fedora/1.7.7-1.3.1

Description of problem:
I have an HP Pavilion a815n, and the Realtek High Definition Audio Soundcard cannot be detected in Linux. This results in no sound working at all.

I do not know if it is related, but "smartd" also lists as "FAILED" when booting.

I am using Fedora Core 3 2.6.11-1.14

For further product specs, see the following web site:

http://h10025.www1.hp.com/ewfrf/wc/genericDocument?lc=en&cc=us&docname=c00280648

The Sound Card spec is listed about 2/3 of the way down.


Version-Release number of selected component (if applicable):
system-config-soundcard-1.2.10-1

How reproducible:
Always

Steps to Reproduce:
1. Boot up with a Realtek High Definition Audio Soundcard installed on your machine.
2. smartd FAILED appears (don't know for sure if it is related to the soundcard or to something else, but everything else appears to work except the sound on my computer)
3. Open a program that produces sound

Actual Results:  No sound in any program

Expected Results:  Sound

Additional info:
Comment 1 Sitsofe Wheeler 2005-05-15 10:47:25 EDT
smartd is a utility for checking the health of hard drives and should be
unrelated to your soundcard. If smartd is saying failed then either
a) It couldn't find your hard disk
b) Your hard disk thinks it is going to die soon.

If you wish to find out whether you are in a) or b) (I think b) is more likely)
you should try the forums (http://fedoraforum.org/ )

As for your soundcard, could you attach the output of lspci to this bug please?
Comment 2 Sam 2005-05-15 16:31:08 EDT
Here is the output from running "lspci":

[root@localhost ~]# lspci
00:00.0 Host bridge: Intel Corp. 915G/P/GV Processor to I/O Controller (rev 04)
00:02.0 VGA compatible controller: Intel Corp. 82915G Express Chipset Family
Graphics Controller (rev 04)
00:02.1 Display controller: Intel Corp. 82915G Express Chipset Family Graphics
Controller (rev 04)
00:1b.0 Class 0403: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
Definition Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express
Port 1 (rev 03)
00:1d.0 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI
#1 (rev 03)
00:1d.1 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI
#2 (rev 03)
00:1d.2 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI
#3 (rev 03)
00:1d.3 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI
#4 (rev 03)
00:1d.7 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2
EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corp. 82801 PCI Bridge (rev d3)
00:1f.0 ISA bridge: Intel Corp. 82801FB/FR (ICH6/ICH6R) LPC Interface Bridge
(rev 03)
00:1f.1 IDE interface: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE
Controller (rev 03)
00:1f.2 IDE interface: Intel Corp. 82801FB/FW (ICH6/ICH6W) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller
(rev 03)
02:01.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 80)
02:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
02:05.0 Communication controller: Agere Systems (former Lucent Microelectronics)
V.92 56K WinModem (rev 03)
Comment 3 Bastien Nocera 2005-05-16 06:36:51 EDT
This card needs the ALSA High Definition driver, which isn't shipped in Fedora
Core 3's kernel, which is why it isn't recognised by system-config-soundcard.
The "snd-hda-intel" driver is included in the kernel for Fedora Core 4.

Note You need to log in before you can comment on or make changes to this bug.